# Object_Manager_Base.h File Reference

`#include "ace/config-lite.h"`
`#include "ace/ACE_export.h"`
`#include "ace/Cleanup.h"`
`#include "ace/os_include/sys/os_types.h"`
`#include "ace/os_include/os_signal.h"`

Include dependency graph for Object_Manager_Base.h:

This graph shows which files directly or indirectly include this file:

## Classes

class | ACE_Object_Manager_Base
| Base class for ACE_Object_Manager(s). More...
class | ACE_OS_Object_Manager

## Functions

void | ACE_OS_Object_Manager_Internal_Exit_Hook (void)

## Detailed Description

Id
  Object_Manager_Base.h,v 1.9 2005/11/22 09:23:55 ossama Exp

Author:
  Douglas C. Schmidt <schmidt@cs.wustl.edu>

  Jesper S. M|ller<stophph@diku.dk>

  and a cast of thousands...

Originally in OS.h.

## Function Documentation

void ACE_OS_Object_Manager_Internal_Exit_Hook | ( | void |  | ) |